/*
 * Copyright (C), 2002-2015, 江苏三六五网络股份有限公司
 * FileName: AppBussSelectTag.java
 * Author:   duhui
 * Date:     2015年3月9日 下午5:58:39
 * Description:     
 * History: 
 * <author>      <time>      <version>    <desc>
 * 修改人姓名                          修改时间                        版本号                                 描述
 */
package com.house365.tags;

import java.util.List;

import com.house365.tags.beans.AppBuss;

/**
 * 〈一句话功能简述〉<br> 
 * 〈功能详细描述〉
 *
 * @author duhui
 * @version [v1.0.0, 2015年3月9日]
 * @see [相关类/方法]（可选）
 * @since [产品/模块版本] （可选）
 */
public class AppBussSelectTag extends AbstractEnumSelectTag<AppBuss> {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    @Override
    protected String getDefaultName() {
        return "id";
    }

    @Override
    protected List<AppBuss> getList() {
        return AppBuss.list();
    }

    @Override
    protected String getOptionLabel(AppBuss obj) {
        return obj.getShowName();
    }

    @Override
    protected Object getOptionValue(AppBuss obj) {
        return obj.getId();
    }
}
